2017-12-21 15:23  

	* [r405] COPYING, ChangeLog, INSTALL, ax_init_standard_project.m4,
	  bootstrap.sh, mac-create-app-bundle.sh, template.sh:
	  update of build system

2017-12-07 10:19  

	* [r404] COPYING, INSTALL, ax_check_qt.m4,
	  ax_init_standard_project.m4, bootstrap.sh,
	  dependency-graph.sh[ADD], template.sh[ADD]:
	  fixed build on mac

2017-06-15 06:54  

	* [r403] COPYING, INSTALL, ax_init_standard_project.m4,
	  bootstrap.sh, build-in-docker.conf, build-in-docker.sh,
	  libpcscxx.spec.in:
	  fix fedora / centos build

2017-06-14 13:59  

	* [r402] libpcscxx.spec.in:
	  removed qt4 dependency

2017-06-13 11:31  

	* [r401] ax_init_standard_project.m4, bootstrap.sh,
	  libpcscxx.spec.in, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh:
	  fixed build for ubuntu, fedora, opensuse

2017-06-09 14:56  

	* [r400] COPYING, INSTALL, ax_init_standard_project.m4,
	  configure.ac:
	  about to rpm-ify it

2017-06-09 11:50  

	* [r399] COPYING, INSTALL, ax_check_qt.m4,
	  ax_init_standard_project.m4, bootstrap.sh, build-in-docker.conf,
	  build-in-docker.sh, configure.ac, debian/control.in,
	  debian/libpcscxx-dev.install, examples/makefile.am,
	  libpcscxx.spec.in, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh, rpmsign.exp[ADD]:
	  build fixed for deb and rpm

2017-05-03 08:31  

	* [r398] configure.ac:
	  fix build with download enabled

2017-04-11 10:25  

	* [r397] COPYING, ChangeLog, INSTALL, ax_check_qt.m4, configure.ac,
	  src/suisseid.hxx:
	  build fixed for windows

2017-04-07 14:15  

	* [r396] COPYING, ChangeLog, INSTALL, configure.ac,
	  src/suisseid.hxx:
	  fixed recently introduced bug

2017-04-06 12:52  

	* [r395] configure.ac:
	  typo

2017-04-06 12:44  

	* [r394] configure.ac, src/suisseid.hxx:
	  improved build scripts

2017-02-08 18:48  

	* [r393] configure.ac:
	  fixed remaining deb dependencies

2017-02-06 22:52  

	* [r392] COPYING, ChangeLog, INSTALL, ax_init_standard_project.m4,
	  bootstrap.sh, configure.ac, debian/control.in:
	  fixed debian dependencies

2017-02-06 10:14  

	* [r391] ChangeLog, resolve-debbuilddeps.sh:
	  fixed dependency resolve problem

2017-02-03 20:42  

	* [r390] ChangeLog:
	  build fixed in trusty

2017-02-03 08:37  

	* [r389] ChangeLog, bootstrap.sh, debian, debian/changelog.in[ADD],
	  debian/compat[ADD], debian/control.in[ADD], debian/docs[ADD],
	  debian/libpcscxx-dev.install[ADD], debian/libpcscxx.install[ADD],
	  debian/rules[ADD]:
	  fixed build probelem in deb

2017-02-02 16:51  

	* [r388] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf, configure.ac, debian,
	  debian/changelog.in[ADD], debian/compat[ADD],
	  debian/control.in[ADD], debian/docs[ADD],
	  debian/libpcscxx-dev.install[ADD], debian/libpcscxx.install[ADD],
	  debian/rules[ADD], resolve-debbuilddeps.sh:
	  build problems fixed

2017-02-02 13:06  

	* [r387] debian/docs[DEL]:
	  fix README in both debian packages problem

2017-02-02 12:02  

	* [r386] COPYING, INSTALL:
	  just a test

2017-01-08 08:55  

	* [r385] debian/changelog.in:
	  rebuilt debian/changelog.in

2017-01-07 14:27  

	* [r384] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf, build-in-docker.sh, debian/control.in,
	  resolve-debbuilddeps.sh, resolve-rpmbuilddeps.sh:
	  build system updated

2016-10-05 09:48  

	* [r383] debian/control.in:
	  fixed build for wily

2016-09-29 16:37  

	* [r382] COPYING, ChangeLog, INSTALL, autogen.sh[ADD],
	  ax_cxx_compile_stdcxx_11.m4, ax_init_standard_project.m4,
	  bootstrap.sh, build-in-docker.sh, configure.ac,
	  doc/footer.html.in[ADD], doc/header.html.in[ADD],
	  doc/plantuml.jar[ADD], doc/style.css[ADD],
	  mac-create-app-bundle.sh, makefile_test.inc.am[ADD],
	  resolve-debbuilddeps.sh, resolve-rpmbuilddeps.sh, sql-to-dot.sed:
	  update buildsystem

2016-06-08 10:56  

	* [r381] src/cardos.hxx:
	  added APDU info

2016-04-04 08:53  

	* [r380] ChangeLog:
	  after migration to new svn server

2015-12-18 16:04  marc

	* [r379] build-in-docker.conf:
	  added dependency for sid

2015-12-17 12:33  marc

	* [r378] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf[ADD], build-in-docker.sh,
	  libpcscxx.desktop.in[ADD], resolve-debbuilddeps.sh,
	  sql-to-dot.sed[ADD]:
	  use ./build-in-docker.sh on build server

2015-11-16 12:38  marc

	* [r377] doc/doxyfile.in:
	  SVG must not be interactive for embedding in redmine

2015-11-09 11:22  marc

	* [r376] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  debian/control.in, resolve-debbuilddeps.sh:
	  fixed build dependencies

2015-11-07 10:47  marc

	* [r375] bootstrap.sh:
	  there is no qt4-default

2015-11-07 09:23  marc

	* [r374] bootstrap.sh, debian/control.in:
	  there is no qt4-default

2015-11-06 23:58  marc

	* [r373] debian/control.in:
	  fixed dependencies

2015-11-05 09:53  marc

	* [r372] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh[ADD], resolve-debbuilddeps.sh:
	  updated build system

2015-11-05 08:44  marc

	* [r371] doc/doxyfile.in:
	  doxygen should not build search engine, it's awful in embedded
	  redmine

2015-11-03 21:48  marc

	* [r370] debian/control.in:
	  updated dependencies

2015-11-03 11:45  marc

	* [r369] ChangeLog, ax_check_qt.m4, bootstrap.sh,
	  resolve-debbuilddeps.sh:
	  prepared for build in a docker instance on jenkins

2015-11-01 23:53  marc

	* [r368] AUTHORS, ChangeLog, ax_init_standard_project.m4,
	  bootstrap.sh, resolve-debbuilddeps.sh:
	  new author url

2015-09-22 11:36  marc

	* [r367] ax_init_standard_project.m4:
	  fixed little type in build that affected only mac osx build

2015-09-22 11:12  marc

	* [r366] ax_init_standard_project.m4:
	  fixed little type in build that affected only mac osx build -
	  strange

2015-09-22 07:42  marc

	* [r365] ax_check_qt.m4, ax_init_standard_project.m4, configure.ac,
	  src/cryptoki.cxx, src/cryptoki.hxx, src/pcsc.hxx:
	  don't throw exception in destructur when card has been removed

2015-09-14 09:01  marc

	* [r364] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  build-resource-file.sh[ADD], debian/control.in,
	  debian/libpcscxx-dev.install, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh[ADD]:
	  added resolve-rpmbuilddeps.sh

2015-09-01 12:28  marc

	* [r363] debian/control.in:
	  install qtX-default so that it fits for all distributions

2015-09-01 12:26  marc

	* [r362] debian/control.in:
	  don't install qtX-default

2015-09-01 12:18  marc

	* [r361] debian/control.in:
	  install qtX-default

2015-09-01 12:14  marc

	* [r360] resolve-debbuilddeps.sh:
	  new script to resolve debian build dependencies

2015-09-01 12:13  marc

	* [r359] resolve-debbuilddeps.sh:
	  new script to resolve debian build dependencies

2015-09-01 12:00  marc

	* [r358] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  resolve-debbuilddeps.sh[ADD]:
	  new script to resolve debian build dependencies

2015-08-17 14:52  marc

	* [r357] src/cryptaux.hxx:
	  fix ambiguity

2015-08-17 14:47  marc

	* [r356] src/cryptaux.hxx:
	  fix ambiguity

2015-08-17 14:02  marc

	* [r355] ax_init_standard_project.m4, bootstrap.sh:
	  Debian sid is more restrictive in time format

2015-07-31 14:18  marc

	* [r354] libpcscxx.spec.in:
	  stupid fedora/centos does not handle /path/to/dir correctly

2015-07-31 11:47  marc

	* [r353] libpcscxx.spec.in:
	  graphviz must not be used in fedora-20, otherise it never
	  terminates

2015-07-31 10:44  marc

	* [r352] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac:
	  fixed version number

2015-07-30 14:13  marc

	* [r351] ax_check_qt.m4:
	  qt4 in centos

2015-07-30 13:59  marc

	* [r350] libpcscxx.spec.in:
	  qt4 in centos and p11 in suse11

2015-07-30 13:56  marc

	* [r349] ax_check_qt.m4, bootstrap.sh, libpcscxx.spec.in:
	  qt4 in centos and p11 in suse11

2015-07-30 13:49  marc

	* [r348] libpcscxx.spec.in:
	  packages

2015-07-30 13:32  marc

	* [r347] libpcscxx.spec.in:
	  packages for opensuse 11.4

2015-07-30 13:27  marc

	* [r346] libpcscxx.spec.in:
	  packages for centos

2015-07-30 13:12  marc

	* [r345] libpcscxx.spec.in:
	  packages for centos

2015-07-30 12:55  marc

	* [r344] libpcscxx.spec.in:
	  package bin

2015-07-30 12:40  marc

	* [r343] ax_check_qt.m4:
	  qt-tools are named tool-qt5 in suse :p

2015-07-30 12:39  marc

	* [r342] libpcscxx.spec.in:
	  fedora packages ...

2015-07-30 12:33  marc

	* [r341] ax_check_qt.m4, bootstrap.sh:
	  qt-tools are named tool-qt5 in suse :p

2015-07-30 12:15  marc

	* [r340] libpcscxx.spec.in:
	  fixed qt dependencies

2015-07-30 11:44  marc

	* [r339] libpcscxx.spec.in:
	  fixed qt dependencies

2015-07-30 10:21  marc

	* [r338] configure.ac, libpcscxx.spec.in:
	  fixed rpm dependency

2015-07-30 09:55  marc

	* [r337] libpcscxx.spec.in:
	  fixed rpm dependency

2015-07-30 09:38  marc

	* [r336] libpcscxx.spec.in:
	  fixed qt detection

2015-07-30 09:33  marc

	* [r335] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  libpcscxx.spec.in:
	  fixed qt detection

2015-07-30 08:39  marc

	* [r334] libpcscxx.spec.in:
	  ready for rpm

2015-07-30 08:26  marc

	* [r333] makefile.am:
	  ready for rpm

2015-07-30 08:13  marc

	* [r332] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  libpcscxx.spec.in:
	  enable rpm build

2015-07-27 08:35  marc

	* [r331] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh:
	  better check for header

2015-07-27 06:33  marc

	* [r330] configure.ac:
	  remove test output

2015-07-22 10:09  marc

	* [r329] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  libpcscxx[ADD]:
	  buildsystem updated

2015-07-22 10:04  marc

	* [r328] ax_init_standard_project.m4, configure.ac:
	  mingw/windows-build works

2015-07-21 08:42  marc

	* [r327] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac, debian/control.in, mac-create-app-bundle.sh[ADD]:
	  pcsclite does not exist on windows

2015-07-13 16:50  marc

	* [r326] configure.ac:
	  libpkcs11-helper-1 is even worse...

2015-07-13 14:51  marc

	* [r325] configure.ac:
	  prefere libpkcs11-helper-1

2015-07-13 12:29  marc

	* [r324] bootstrap.sh, doc, doc/doxyfile.in[ADD],
	  doc/makefile.am[ADD]:
	  updated docu

2015-07-13 08:39  marc

	* [r323] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh:
	  upgrade to newest bootstrap-build

2015-06-24 09:26  marc

	* [r322] ChangeLog, ax_init_standard_project.m4:
	  even more support for weird and sloppy packages

2015-06-23 09:02  marc

	* [r321] ax_init_standard_project.m4, configure.ac:
	  even more improved way to find the necessary include path

2015-06-23 08:48  marc

	* [r320] ax_init_standard_project.m4:
	  even more improved way to find the necessary include path

2015-06-23 08:06  marc

	* [r319] ChangeLog, ax_init_standard_project.m4:
	  improved way to find the necessary include path, even if module
	  writers did a sloppy job

2015-06-19 07:18  marc

	* [r318] ChangeLog, ax_init_standard_project.m4:
	  don't scan subpathes of /usr/include for include files

2015-06-18 14:34  marc

	* [r317] ChangeLog, configure.ac:
	  build fails with GNU TLS, because pcsc.h there is something
	  completely different

2015-05-22 08:45  marc

	* [r316] configure.ac:
	  fixed package name for mac ports

2015-05-20 12:12  marc

	* [r315] ChangeLog, debian/libpcscxx-dev.install:
	  fix in debian build

2015-05-18 09:40  marc

	* [r314] examples/makefile.am, src/makefile.am:
	  cleanup build files

2015-05-18 09:21  marc

	* [r313] ChangeLog, ax_init_standard_project.m4:
	  fix build on mac, fix wrong AX_PKG_CHECK

2015-05-13 13:35  marc

	* [r312] ax_init_standard_project.m4:
	  fixed some build issues, i.e. wrong library version number

2015-05-12 13:32  marc

	* [r311] ax_check_qt.m4, ax_init_standard_project.m4, configure.ac:
	  QtNetwork depends on QT >= 5.2

2015-05-12 08:57  marc

	* [r310] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  src/makefile.am:
	  fixed build

2015-05-11 13:45  marc

	* [r309] src/makefile.am:
	  don't miss build of cert2text

2015-05-09 22:35  marc

	* [r308] ax_init_standard_project.m4:
	  strange build error: 'configure:18658: error: possibly undefined
	  macro: m4_default'

2015-05-09 16:51  marc

	* [r307] ax_init_standard_project.m4, bootstrap.sh,
	  src/libpcscxx.pc.in:
	  corrected link command

2015-05-09 09:33  marc

	* [r306] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  src/libpcscxx.pc.in:
	  fixed pkg-config requirements

2015-05-08 23:38  marc

	* [r305] ax_init_standard_project.m4, bootstrap.sh:
	  fixed the mac bug again, because last change was incompatible
	  with debian changelog format

2015-05-08 23:12  marc

	* [r304] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac:
	  build system fixed

2015-05-07 14:37  marc

	* [r303] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  src/version.hxx[ADD]:
	  fixed mac issues

2015-05-05 20:32  marc

	* [r302] debian/control.in:
	  dependencies imprved

2015-05-04 09:30  marc

	* [r301] ax_init_standard_project.m4, configure.ac:
	  much more flexible and stable package dependency checks

2015-05-04 06:56  marc

	* [r300] src/cert2text.cxx[ADD]:
	  forgoten to add new file

2015-04-30 14:28  marc

	* [r299] ChangeLog, configure.ac, src/makefile.am:
	  new tool cert2text to show certificates

2015-03-24 08:02  marc

	* [r298] ax_init_standard_project.m4:
	  add test maintainr-clean

2015-03-15 20:08  marc

	* [r297] src/libpcscxx.pc.in:
	  linking needs crypto ssl and pcsclite

2015-03-15 19:29  marc

	* [r296] ax_init_standard_project.m4, src/libpcscxx.pc.in:
	  linking needs crypto

2015-03-15 16:52  marc

	* [r295] configure.ac:
	  no qt keywords

2015-03-15 16:21  marc

	* [r294] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac:
	  better build + no qt keywords

2015-03-14 14:25  marc

	* [r293] examples/makefile.am, src/cardgui.hxx, src/makefile.am,
	  src/password.hxx:
	  build fixed

2015-03-14 14:05  marc

	* [r292] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, configure.ac, src/libpcscxx.pc.in:
	  wrong pkg-config prefix

2015-03-14 09:51  marc

	* [r291] ax_init_standard_project.m4, bootstrap.sh:
	  missreading: doxygen -w html does not compile html onlx ...

2015-03-14 09:31  marc

	* [r290] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  src/libpcscxx.pc.in:
	  add compile dependencies

2015-03-13 16:30  marc

	* [r289] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  debian/compat, debian/copyright[DEL], debian/dirs[DEL],
	  debian/libpcscxx.doc-base.EX[DEL], debian/shlibs.local.ex[DEL],
	  debian/watch.ex[DEL]:
	  improved bootstrapping

2015-03-12 09:16  marc

	* [r288] ChangeLog, ax_init_standard_project.m4:
	  bugfix new buildsystem: makefile.in is in top_srcdir

2015-03-11 16:00  marc

	* [r287] ax_check_qt.m4[CPY], ax_cxx_compile_stdcxx_11.m4[CPY],
	  ax_init_standard_project.m4[ADD], bootstrap.sh, configure.ac,
	  debian/changelog.in, doc/doxyfile.in, doc/examples[DEL],
	  doc/makefile.am, examples[CPY], m4[DEL], makefile.am,
	  src/makefile.am:
	  completely new, megacool build system step 1

2015-03-05 14:48  marc

	* [r286] debian/control.in:
	  uic is required if qt is used

2015-03-05 14:05  marc

	* [r285] ChangeLog, m4/ax_check_qt.m4:
	  don't stop if qt is not found; more elegant way for adding qt
	  rules

2015-03-05 13:44  marc

	* [r284] m4/ax_check_qt.m4:
	  don't stop if qt is not found; more elegant way for adding qt
	  rules

2015-03-05 13:27  marc

	* [r283] m4/ax_check_qt.m4:
	  don't stop if qt is not found; more elegant way for adding qt
	  rules

2015-03-05 13:21  marc

	* [r282] m4/ax_check_qt.m4, src/makefile.am:
	  don't stop if qt is not found; more elegant way for adding qt
	  rules

2015-03-05 12:02  marc

	* [r281] ChangeLog, m4/ax_check_qt.m4:
	  qt tools are optional

2015-03-05 09:05  marc

	* [r280] configure.ac:
	  support Qt4 which has no QWidgets - but Qt5 needs it

2015-03-05 08:34  marc

	* [r279] configure.ac:
	  support Qt4 which has no QWidgets

2015-03-04 14:59  marc

	* [r278] debian/control.in, doc/doxyfile.in:
	  strange error «sh: 1: /usr/bindot: not found; on squeeze, there's
	  no qt5»

2015-03-04 14:44  marc

	* [r277] configure.ac:
	  fix «HAVE_QTNETWORK does not appear in AM_CONDITIONAL» when there
	  is no qt

2015-03-04 14:40  marc

	* [r276] configure.ac, m4/ax_check_qt.m4:
	  fix «HAVE_QTNETWORK does not appear in AM_CONDITIONAL» when there
	  is no qt

2015-03-04 13:28  marc

	* [r275] m4/ax_check_qt.m4:
	  try to fix «HAVE_QTNETWORK does not appear in AM_CONDITIONAL»
	  when there is no qt

2015-03-03 18:37  marc

	* [r274] ChangeLog, README, configure.ac, debian/control.in:
	  now also depends on qt

2015-03-03 15:56  marc

	* [r273] AUTHORS, ChangeLog, configure.ac, debian/changelog.in,
	  debian/control[DEL], debian/control.in[CPY], debian/rules,
	  doc/doxyfile.in, doc/makefile.am, libpcscxx.spec.in, makefile.am,
	  src/libpcscxx.pc.in, src/version.cxx:
	  ported to new build system

2014-12-11 10:00  marc

	* [r272] src/suisseid.hxx:
	  another work around the mac 10.10 yosemite PCSC bug, this time
	  fix cryptoki; refs #34

2014-12-11 09:57  marc

	* [r271] src/suisseid.hxx:
	  another work around the mac 10.10 yosemite PCSC bug, this time
	  fix cryptoki; refs #34

2014-12-11 09:06  marc

	* [r270] m4/ax_check_qt.m4, src/suisseid.hxx:
	  another work around the mac 10.10 yosemite PCSC bug, this time
	  fix cryptoki; refs #34

2014-12-01 11:27  marc

	* [r269] src/suisseid.hxx:
	  Apple Bug morte log; refs #34

2014-12-01 11:13  marc

	* [r268] src/suisseid.hxx:
	  Apple Bug morte log; refs #34

2014-12-01 10:27  marc

	* [r267] src/pcsc.hxx:
	  Apple Bug probably resolved with retry to reconnect with
	  SCARD_LEAVE_CARD; refs #34

2014-12-01 10:08  marc

	* [r266] src/pcsc.hxx:
	  Apple Bug not resolved, retry to reconnect with SCARD_LEAVE_CARD
	  more than once (up to 100 times); refs #34

2014-12-01 09:08  marc

	* [r265] src/pcsc.hxx:
	  Apple Bug not resolved, retry more than once (up to 100 times);
	  refs #34

2014-11-12 07:54  marc

	* [r264] src/pcsc.hxx:
	  more log; refs #34

2014-11-11 16:02  marc

	* [r263] src/cryptoki.cxx:
	  more log; refs #34

2014-11-11 16:00  marc

	* [r262] src/cryptoki.cxx:
	  more log; refs #34

2014-11-11 15:57  marc

	* [r261] src/cryptoki.cxx:
	  more log; refs #34

2014-11-11 14:09  marc

	* [r260] src/pcsc.hxx:
	  workaround Mac OS X 10.10 PCSC bug; refs #34

2014-11-11 14:04  marc

	* [r259] src/pcsc.hxx:
	  workaround Mac OS X 10.10 PCSC bug; refs #34

2014-11-11 13:56  marc

	* [r258] src/pcsc.hxx:
	  workaround Mac OS X 10.10 PCSC bug; refs #34

2014-11-04 09:56  marc

	* [r257] configure.ac, m4/ax_check_qt.m4:
	  some rearrangements; refs #33

2014-11-04 08:53  marc

	* [r256] ax_check_qt.m4[DEL], ax_cxx_compile_stdcxx_11.m4[DEL],
	  configure.ac[CPY], configure.in[DEL], m4[ADD],
	  m4/ax_check_qt.m4[CPY], m4/ax_cxx_compile_stdcxx_11.m4[CPY]:
	  some rearrangements; refs #33

2014-10-27 09:22  marc

	* [r255] ax_check_qt.m4, configure.in, doc/examples/makefile.am,
	  src/makefile.am:
	  Missing -fPIC error in build of cardgui; refs #33

2014-10-08 08:51  marc

	* [r254] ax_check_qt.m4:
	  added qmake test; refs #33

2014-09-22 11:08  marc

	* [r253] configure.in:
	  Somehow options disappear, i.e. -fPIC; refs #33

2014-09-19 09:04  marc

	* [r252] ax_check_qt.m4:
	  need variables; refs #33

2014-09-19 08:23  marc

	* [r251] COPYING, INSTALL, ax_check_qt.m4[ADD], configure.in:
	  much better qt tests; refs #33

2014-09-16 08:32  marc

	* [r250] configure.in:
	  corrected C++11-detection; refs #33

2014-09-16 08:24  marc

	* [r249] configure.in:
	  better Qt detection; refs #33

2014-09-16 08:01  marc

	* [r248] src/pcsc.hxx:
	  changed all long to DWORD, now corrected former unsigned long;
	  refs #33

2014-09-16 07:47  marc

	* [r247] src/cryptoki.hxx, src/pcsc.hxx:
	  smaller bugfixes and type adaptions; refs #33

2014-09-15 06:54  marc

	* [r246] src/openssl.hxx:
	  forgotten return value; refs #33

2014-06-03 07:21  marc

	* [r245] src/cardos.hxx:
	  https://dev.swisssign.com/projects/swissstick/ticket/1137 forget
	  PIN/password feature incorrectly reports an error; refs #32

2014-05-20 12:27  marc

	* [r244] src/openssl.hxx, src/pcsc.hxx:
	  openssl version info to be desplayed in about (some nerves are
	  blank after heartbleed); refs #30

2014-05-19 11:39  marc

	* [r243] libpcscxx.spec.in:
	  add PKCS11 include path to RPM spec; refs #30

2014-05-16 12:36  marc

	* [r242] debian/control:
	  replace libp11-kit-dev by libpkcs11-helper1-dev beacause it's
	  missing on lucid; refs #30

2014-05-16 12:24  marc

	* [r241] debian/control, debian/rules:
	  replace libp11-kit-dev by libpkcs11-helper1-dev beacause it's
	  missing on lucid; refs #30

2014-05-16 12:07  marc

	* [r240] debian/control, debian/rules:
	  replace libp11-kit-dev libgnutls-dev beacause it's missing on
	  lucid; refs #30

2014-05-16 11:03  marc

	* [r239] configure.in, debian/rules:
	  set MOC to /usr/bin/moc for debian, because on lucid it would be
	  /usr/bin/moc-qt4, but there is no /usr/bin/rcc-qt4, only
	  /usr/bin/rcc; refs #30

2014-05-12 07:35  marc

	* [r238] libpcscxx.spec.in:
	  fix rpm build; refs #30

2014-05-09 11:21  marc

	* [r237] src/cardos.hxx, src/suisseid.hxx:
	  puk-unlock forgotten - added; refs #30

2014-05-07 12:31  marc

	* [r236] debian/control:
	  build dependencies; refs #30

2014-05-07 12:09  marc

	* [r235] debian/control:
	  restore debian build; refs #30

2014-05-07 11:51  marc

	* [r234] debian/control, debian/rules:
	  restore debian build; refs #30

2014-05-07 09:13  marc

	* [r233] src/cryptoki.hxx:
	  give better exception; refs #30

2014-05-06 16:19  marc

	* [r232] configure.in:
	  hack to be undone later - check for headers later; refs #30

2014-05-06 16:17  marc

	* [r231] configure.in:
	  hack to be undone later; refs #30

2014-05-06 16:14  marc

	* [r230] src/pcsc.hxx:
	  fixed issue with invalid devices; refs #30

2014-05-06 15:48  marc

	* [r229] debian/rules:
	  configure location of pkcs11.h; refs #30

2014-05-06 15:42  marc

	* [r228] configure.in, src/cryptoki.hxx:
	  configure location of pkcs11.h; refs #30

2014-05-05 11:44  marc

	* [r227] src/makefile.am, src/pkcs11[DEL]:
	  no own pkcs11; refs #30

2014-05-05 08:15  marc

	* [r226] configure.in, doc/examples/makefile.am, src/cardos.hxx,
	  src/makefile.am, src/suisseid.hxx:
	  Correctly decode values; refs #31

2014-04-29 08:31  marc

	* [r225] src/cryptoki.hxx:
	  conversions for 64 bit mingw; refs #30

2014-04-29 08:17  marc

	* [r224] doc/examples/makefile.am:
	  mingw linking; refs #30

2014-04-28 11:49  marc

	* [r223] doc/examples/makefile.am:
	  mingw libs changed; refs #30

2014-04-28 11:47  marc

	* [r222] configure.in:
	  first check Qt5 and allow to pass UIC/MOC explicitely; refs #30

2014-04-28 09:27  marc

	* [r221] src/makefile.am:
	  mingw libs changed; refs #30

2014-04-28 09:12  marc

	* [r220] src/pcsc.hxx:
	  winscard.h in lowercase is part of mingw; refs #30

2014-04-28 09:07  marc

	* [r219] src/pcsc.hxx:
	  Windows not properly detected; refs #30

2014-04-04 11:27  marc

	* [r218] src/cryptoki.hxx, src/suisseid.hxx:
	  fixed wrong calculation of max pin len; refs #28

2014-04-04 06:52  marc

	* [r217] libpcscxx.spec.in:
	  package cardgui for deb and rpm; refs #28

2014-04-03 15:00  marc

	* [r216] configure.in, src/makefile.am:
	  detect moc and uic; refs #28

2014-04-03 14:14  marc

	* [r215] src/suisseid.hxx:
	  Certificate has now label and id; refs #28

2014-04-03 12:33  marc

	* [r214] debian/libpcscxx.install, libpcscxx.spec.in:
	  package cardgui for deb and rpm; refs #28

2014-04-03 11:21  marc

	* [r213] doc/examples/cardos-demo.cxx,
	  doc/examples/create-files-demo.cxx,
	  doc/examples/suisse-id-demo.hxx, src/cardos.hxx,
	  src/cryptoki.cxx, src/cryptoki.hxx, src/pcsc.hxx,
	  src/suisseid.hxx:
	  replaced mrw::Shared by std::shared_ptr; refs #28

2014-04-02 13:20  marc

	* [r212] configure.in:
	  removed DISTCHECK_CONFIGURE_FLAGS; refs #28

2014-04-02 12:42  marc

	* [r211] configure.in:
	  setup DISTCHECK_CONFIGURE_FLAGS; refs #28

2014-04-02 12:39  marc

	* [r210] configure.in:
	  setup DISTCHECK_CONFIGURE_FLAGS; refs #28

2014-04-02 12:04  marc

	* [r209] configure.in:
	  setup DISTCHECK_CONFIG_FLAGS; refs #28

2014-04-02 11:46  marc

	* [r208] configure.in:
	  setup DISTCHECK_CONFIG_FLAGS; refs #28

2014-04-02 11:01  marc

	* [r207] src/makefile.am:
	  fix distribution - make distcheck works now; refs #28

2014-04-02 09:03  marc

	* [r206] src/makefile.am:
	  fix winscard-link on mingw; refs #28

2014-04-02 08:49  marc

	* [r205] src/makefile.am:
	  fix winscard-link on mingw; refs #28

2014-04-02 08:07  marc

	* [r204] src/makefile.am:
	  fix PCSC-framework-link on mac; refs #28

2014-04-02 06:57  marc

	* [r203] src/cryptoki.hxx:
	  fix for non C++11-compilers (mac); refs #28

2014-04-02 06:57  marc

	* [r202] configure.in:
	  fix for non C++11-compilers (mac); refs #28

2014-04-02 06:31  marc

	* [r201] src/cryptoki.hxx:
	  fix for non C++11-compilers (mac); refs #28

2014-04-01 13:10  marc

	* [r200] doc/examples/cardos-demo.cxx,
	  doc/examples/create-files-demo.cxx,
	  doc/examples/cryptoki-demo.cxx,
	  doc/examples/cryptoki-sign-demo.cxx, src/cardos.hxx,
	  src/cryptaux.hxx, src/cryptoki.cxx, src/cryptoki.hxx,
	  src/openssl-engine.hxx, src/openssl.hxx, src/overview.doc,
	  src/pcsc.hxx, src/suisseid.hxx:
	  fixed tons of warnings; refs #28

2014-03-31 13:26  marc

	* [r199] configure.in:
	  fixed qt build; refs #28

2014-03-31 11:10  marc

	* [r198] src/suisseid.hxx:
	  some minor changes accorfing o what's really needed/supported;
	  refs #28

2014-03-31 09:41  marc

	* [r197] src/cardgui.cxx, src/cardos.hxx, src/suisseid.hxx:
	  some minor changes accorfing o what's really needed/supported;
	  refs #28

2014-03-28 13:54  marc

	* [r196] configure.in, doc/examples/makefile.am, src/makefile.am:
	  compile-fix: support Qt4 - cleanup of connection management, new
	  major version number 3, use static connection methods; refs #26,
	  refs #28, refs #29

2014-03-26 15:32  marc

	* [r195] src/cardgui.hxx:
	  compile-fix: support Qt4 - cleanup of connection management, new
	  major version number 3, use static connection methods; refs #26,
	  refs #28, refs #29

2014-03-26 15:30  marc

	* [r194] configure.in:
	  compile-fix - cleanup of connection management, new major version
	  number 3, use static connection methods; refs #26, refs #28, refs
	  #29

2014-03-26 15:07  marc

	* [r193] configure.in, doc/examples/cardos-demo.cxx,
	  doc/examples/create-files-demo.cxx, doc/examples/makefile.am,
	  doc/examples/moc_cardgui-model.cxx[ADD],
	  doc/examples/pcsc-demo.cxx, src/cardgui-model.hxx[ADD],
	  src/cardgui.cxx[ADD], src/cardgui.hxx[ADD], src/cardgui.ui[ADD],
	  src/cardos.hxx, src/cryptaux.hxx, src/makefile.am,
	  src/openssl-engine.cxx, src/openssl-engine.hxx, src/openssl.hxx,
	  src/password.hxx[ADD], src/password.ui[ADD], src/pcsc.hxx,
	  src/suisseid.hxx:
	  cleanup of connection management, new major version number 3, use
	  static connection methods; refs #26, refs #28, refs #29

2014-03-24 09:23  marc

	* [r192] doc/examples/create-files-demo.cxx, src/cardos.hxx,
	  src/cryptaux.hxx, src/openssl-engine.cxx, src/openssl-engine.hxx,
	  src/openssl.hxx:
	  more unsuccessful tests; refs #28

2014-03-21 12:09  marc

	* [r191] src/pcsc.hxx:
	  fix check; refs #29

2014-03-18 11:48  marc

	* [r190] src/pcsc.hxx:
	  new method reset for pcsc connections; refs #29

2014-03-10 08:10  marc

	* [r189] doc/examples/create-files-demo.cxx[ADD]:
	  preparations for writing a file - forgotten new file; refs #28

2014-03-07 15:53  marc

	* [r188] doc/examples/cardos-demo.cxx, doc/examples/makefile.am,
	  doc/examples/suisse-id-demo.cxx, src/cardos.hxx,
	  src/cryptaux.hxx, src/suisseid.hxx:
	  preparations for writing a file; refs #28

2014-03-05 14:56  marc

	* [r187] src/suisseid.hxx:
	  locking needs reader; refs #28

2014-03-05 14:23  marc

	* [r186] makefile.am, src/cardos.hxx:
	  bug in initialization from transport state; refs #28

2014-03-04 12:11  marc

	* [r185] src/cardos.hxx:
	  bug in initialization from transport state; refs #28

2014-03-04 09:50  marc

	* [r184] src/cryptoki.hxx:
	  fixed for QT4/5: Compile problem; refs #28

2014-03-04 08:51  marc

	* [r183] src/cryptoki.hxx:
	  fixed for QT4/5: Compile problem; refs #28

2014-03-04 07:51  marc

	* [r182] src/cryptoki.hxx:
	  fixed for QT4/5: Compile problem; refs #28

2014-03-03 09:55  marc

	* [r181] doc/examples/suisse-id-demo.cxx:
	  fixed for QT4/5: refs #28

2014-02-27 12:57  marc

	* [r180] doc/doxyfile.in, doc/examples/cryptoki-demo.cxx,
	  doc/examples/cryptoki-sign-demo.cxx,
	  doc/examples/suisse-id-demo.cxx, src/cryptaux.hxx,
	  src/cryptoki.hxx, src/suisseid.hxx:
	  more documentation; refs #28

2014-01-31 13:32  marc

	* [r179] doc/doxyfile.in, doc/examples/suisse-id-demo.cxx,
	  doc/examples/suisse-id-demo.hxx, src/cardos.hxx,
	  src/cryptaux.hxx, src/cryptoki.hxx, src/openssl.hxx,
	  src/overview.doc, src/pcsc.hxx, src/suisseid.hxx:
	  documentation; refs #27

2014-01-28 07:58  marc

	* [r178] src/suisseid.hxx:
	  backward-compatible (non C++11) constants; refs #27

2014-01-27 13:48  marc

	* [r177] doc/examples/suisse-id-demo.cxx, src/suisseid.hxx:
	  added methods to get specific certificates; refs #27

2014-01-23 13:32  marc

	* [r176] src/cryptoki.hxx:
	  forgotten inline declaratin; refs #27

2014-01-22 15:17  marc

	* [r175] doc/examples/suisse-id-demo.cxx:
	  better interface to get binary certificates; refs #28

2014-01-22 15:14  marc

	* [r174] doc/examples/suisse-id-demo.cxx, src/cryptoki.hxx,
	  src/suisseid.hxx:
	  better interface to get binary certificates; refs #28

2014-01-21 08:20  marc

	* [r173] src/cryptoki.hxx:
	  copy constructor requires explicit default constructor; refs #28

2014-01-20 13:05  marc

	* [r172] src/cryptoki.hxx:
	  moved copy-initialization to copy constructor; refs #28

2014-01-13 10:41  marc

	* [r171] src/cryptoki.hxx:
	  add methods to convert slot and token info from C-structure; refs
	  #28

2013-12-12 13:40  marc

	* [r170] COPYING, INSTALL, configure.in, doc/examples/makefile.am,
	  doc/examples/suisse-id-demo.cxx:
	  add example for using QSslCertificate; refs #28

2013-11-12 15:40  marc

	* [r169] src/pcsc.hxx:
	  resolve problem with very old compiler and Mac 10.5; refs #28

2013-11-12 15:06  marc

	* [r168] src/cryptoki.hxx, src/openssl-engine.hxx:
	  resolve problem with very old compiler (gcc 4.0); refs #28

2013-11-11 11:49  marc

	* [r167] src/cardos.hxx, src/cryptaux.hxx, src/cryptoki.hxx,
	  src/openssl.hxx, src/pcsc.hxx:
	  bug fixes and reference counters (prevents hanging); refs #28

2013-11-07 10:03  marc

	* [r166] src/makefile.am:
	  removed left over certimport; refs #28

2013-11-06 14:21  marc

	* [r165] configure.in, debian/changelog.in:
	  Flexible package signature; refs #28

2013-11-06 12:24  marc

	* [r164] configure.in, debian/control, debian/rules,
	  doc/examples/cryptoki-sign-demo.cxx, doc/examples/makefile.am,
	  doc/examples/openssl-engine-demo.cxx,
	  doc/examples/suisse-id-demo.cxx,
	  doc/examples/suisse-id-demo.hxx[ADD], src/cardos.hxx,
	  src/cryptaux.hxx, src/cryptoki.cxx, src/cryptoki.hxx,
	  src/makefile.am, src/openssl-engine.hxx, src/openssl.hxx,
	  src/pcsc.hxx, src/suisseid.hxx:
	  Added all SuisseID Functionality except certificate import from
	  server, which shall remain closed; refs #28

2013-10-23 13:33  marc

	* [r163] src/suisseid.hxx:
	  documentation for card status check and iniialization; refs #28

2013-10-21 13:49  marc

	* [r162] configure.in:
	  compile with -stc=c++11 if availabel; refs #28

2013-10-21 13:42  marc

	* [r161] ax_cxx_compile_stdcxx_11.m4[ADD], configure.in:
	  compile with -stc=c++11 if availabel; refs #28

2013-10-21 12:13  marc

	* [r160] doc/examples/suisse-id-demo.cxx, src/cryptoki.hxx:
	  default arguments; refs #28

2013-10-21 07:10  marc

	* [r159] doc/doxyfile.in, doc/examples/cardos-demo.cxx[ADD],
	  doc/examples/cryptoki-sign-demo.cxx, doc/examples/makefile.am,
	  doc/examples/suisse-id-demo.cxx, src/cardos.hxx[ADD],
	  src/cryptaux.hxx, src/makefile.am, src/pcsc.hxx,
	  src/suisseid.hxx[ADD]:
	  added basic suisse id functions; refs #28

2013-10-15 11:57  marc

	* [r158] configure.in, doc/examples/cryptoki-demo.cxx,
	  doc/examples/cryptoki-sign-demo.cxx, doc/examples/pcsc-demo.cxx,
	  doc/examples/suisse-id-demo.cxx, src/cryptoki.cxx,
	  src/cryptoki.hxx, src/pcsc.hxx:
	  added draft lib for suisseid - by now: detect Post SuisseID; refs
	  #28

2013-10-11 13:51  marc

	* [r157] doc/examples/makefile.am,
	  doc/examples/suisse-id-demo.cxx[ADD], src/pcsc.hxx:
	  erste suisseid demo; refs #28

2013-10-10 12:23  marc

	* [r156] src/cryptoki.cxx, src/openssl.hxx, src/pcsc.hxx:
	  typos; refs #28

2013-10-10 09:13  marc

	* [r155] src/cryptoki.cxx, src/cryptoki.hxx, src/pcsc.hxx:
	  functions to scan specific cards; refs #28

2013-10-03 06:33  marc

	* [r154] doc/examples/cryptoki-sign-demo.cxx:
	  typos; refs #27

2013-10-02 14:00  marc

	* [r153] doc/examples/cryptoki-sign-demo.cxx:
	  typos; refs #27

2013-10-02 13:57  marc

	* [r152] doc/examples/cryptoki-sign-demo.cxx:
	  typos; refs #27

2013-09-27 14:36  marc

	* [r151] doc/examples/cryptoki-sign-demo.cxx:
	  try to also support C++ < 201103; refs #27

2013-09-24 12:55  marc

	* [r150] doc/examples/makefile.am:
	  only in gcc 4.7 and newer: -std=c++11; refs #27

2013-09-24 12:05  marc

	* [r149] doc/examples/cryptoki-sign-demo.cxx[ADD],
	  doc/examples/makefile.am:
	  add example for signing; refs #27

2013-06-13 13:39  marc

	* [r148] debian/rules:
	  fixed: make deb; refs #26

2013-06-13 12:38  marc

	* [r147] src/pcsc.hxx:
	  work-around with pcsc::shared_ptr<T>::t - again; refs #26

2013-06-13 11:59  marc

	* [r146] src/pcsc.hxx:
	  work-around with pcsc::shared_ptr<T>::t; refs #26

2013-06-13 10:37  marc

	* [r145] src/pcsc.hxx:
	  added compiler warning; refs #26

2013-06-13 09:30  marc

	* [r144] src/pcsc.hxx:
	  fallback for old compilers - use: -DNO_CXX2011; refs #26

2013-06-13 09:24  marc

	* [r143] src/pcsc.hxx:
	  fallback for old compilers; refs #26

2013-06-13 09:16  marc

	* [r142] src/pcsc.hxx:
	  fallback for old compilers; refs #26

2013-06-13 09:13  marc

	* [r141] debian/rules, libpcscxx.spec.in:
	  add CPPFLAGS=-std=c++0x for debian and rpm package builds ; refs
	  #26

2013-06-13 09:07  marc

	* [r140] NEWS, libpcscxx.spec.in, src/pcsc.hxx:
	  shared pointer is now from std C++/11; refs #26

2013-04-03 09:14  marc

	* [r139] src/openssl-engine.hxx:
	  Problem was not here but in swissbrowser; closes #25

2013-04-02 14:31  marc

	* [r138] src/openssl-engine.hxx:
	  still nothing, undo and more log; refs #25

2013-04-02 12:54  marc

	* [r137] src/openssl-engine.hxx:
	  still nothing, more log; refs #25

2013-04-02 12:07  marc

	* [r136] src/openssl-engine.hxx:
	  next try, don't call ENGINE_free; refs #25

2013-04-02 08:36  marc

	* [r135] debian/control:
	  added dependency on libssl-dev for the dev-package; closes #19

2013-04-02 08:32  marc

	* [r134] src/openssl-engine.hxx:
	  removed ENGINE_set_destroy_function; refs #25

2013-01-25 14:36  marc

	* [r130] libpcscxx.spec.in, src/pcsc.hxx:
	  fix fedora-18 bug; closes #24

2012-12-12 09:24  jenkins

	* [r126] README:
	  added README contents; refs #23

2012-12-12 08:30  marc

	* [r125] README:
	  added README contents; refs #23

2012-11-20 10:37  marc

	* [r124] src/pcsc.hxx:
	  try to use the e-health hack only for windoze; refs #22

2012-11-16 14:24  marc

	* [r123] src/pcsc.hxx:
	  requested by Laurent Pages: Indeed the smartcard detection on
	  Windows does not work properly; refs #22

2012-09-19 07:08  marc

	* [r122] libpcscxx.spec.in:
	  other dependency for fedora; refs #21

2012-09-18 13:36  marc

	* [r121] libpcscxx.spec.in:
	  other dependency for fedora; refs #21

2012-06-15 12:30  marc

	* [r120] doc/examples/makefile.am:
	  missing include path in example makefile; refs #20

2012-06-15 12:23  marc

	* [r119] doc/examples/makefile.am:
	  missing include path in example makefile; refs #20

2012-06-11 09:58  marc

	* [r118] debian/rules:
	  allow OpenSSL 0.8 in debian build for old debian/ubuntu versions;
	  refs #20

2012-06-11 06:25  marc

	* [r117] src/openssl.hxx:
	  disallow old SSL versions; refs #20

2012-06-08 09:38  marc

	* [r116] src/openssl.hxx:
	  remove const; refs #20

2012-06-08 09:07  marc

	* [r115] src/openssl.hxx:
	  remove const; refs #20

2012-06-08 08:31  marc

	* [r114] doc/examples/makefile.am, src/openssl.hxx:
	  remove const; refs #20

2012-03-14 09:54  marc

	* [r112] src/pcsc.hxx:
	  added method control; refs #18

2011-12-20 11:30  marc

	* [r107] libpcscxx.spec.in:
	  replaced lib with %_lib; refs #17

2011-11-10 13:28  marc

	* [r105] src/openssl-engine.hxx, src/pcsc.hxx:
	  conflict in #define; closes #1

2011-11-10 10:31  marc

	* [r104] configure.in, doc/examples/makefile.am, doc/makefile.am,
	  libpcscxx.spec.in[ADD], makefile.am, src/makefile.am:
	  new make target rpm; builds versionnumber; closes #1

2011-10-31 15:36  marc

	* [r103] src/makefile.am:
	  remove ls *.doc; closes #16

2011-10-26 10:31  marc

	* [r102] src/makefile.am:
	  add libraries for natty; refs #15

2011-10-26 09:43  marc

	* [r101] src/makefile.am:
	  add libraries; refs #15

2011-09-08 08:56  marc

	* [r100] src/openssl.hxx:
	  fixed DATADIR; closes #14

2011-09-05 08:35  marc

	* [r99] src/openssl.hxx:
	  some bugs fixed; closes #13

2011-06-21 07:32  marc

	* [r98] src/cryptoki.hxx:
	  closes #12

2011-05-03 11:57  marc

	* [r97] doc/examples/openssl-engine-demo.cxx,
	  src/openssl-engine.hxx:
	  template for engine registry; refs #11

2011-05-03 11:11  marc

	* [r96] src/openssl-engine.hxx:
	  more robust implementation and better interface to engine
	  registrator; refs #11

2011-04-26 12:43  marc

	* [r95] src/openssl.hxx:
	  more debug log; refs #11

2011-04-21 09:50  marc

	* [r94] src/cryptoki.hxx, src/makefile.am, src/openssl-engine.hxx,
	  src/pkcs11[CPY], src/pkcs11/apiclient.h[CPY],
	  src/pkcs11/pkcs11.h[CPY], src/pkcs11/pkcs11types.h[CPY]:
	  partial undo of changeset [92] because Mac has no opensc; closes
	  #11

2011-04-21 06:30  marc

	* [r93] src/cryptoki.hxx, src/openssl-engine.hxx, src/openssl.hxx:
	  done in first release; closes #11

2011-04-15 09:42  marc

	* [r92] src/cryptoki.hxx, src/makefile.am, src/pcsc.hxx,
	  src/pkcs11[DEL]:
	  better handling of empty reader list; refs #11

2011-04-15 06:52  marc

	* [r91] doc/examples/openssl-engine-demo.cxx[ADD]:
	  better logging in PCSC and first engine release; refs #11

2011-04-15 06:50  marc

	* [r90] doc/examples/makefile.am, src/cryptoki.cxx,
	  src/makefile.am, src/openssl-engine.cxx[ADD],
	  src/openssl-engine.hxx[ADD], src/pcsc.hxx:
	  better logging in PCSC and first engine release; refs #11

2011-03-29 12:54  marc

	* [r89] install-64-and-32-bit-linux.sh, src/cryptoki.cxx,
	  src/cryptoki.hxx, src/pcsc.hxx:
	  checked-in too much, undo; refs #10

2011-03-29 12:52  marc

	* [r88] doc/examples/cryptoki-demo.cxx, doc/examples/pcsc-demo.cxx:
	  checked-in too much, undo; refs #10

2011-03-29 12:50  marc

	* [r87] doc/examples/makefile.am, install-64-and-32-bit-linux.sh,
	  src/cryptoki.cxx, src/cryptoki.hxx, src/pcsc.hxx:
	  added -lcrypto to examples; refs #10

2010-10-07 12:04  marc

	* [r86] src/makefile.am:
	  removed -lssl; refs #9

2010-09-27 06:53  marc

	* [r85] src/makefile.am, src/pcsc.cxx[ADD], src/pcsc.hxx:
	  Removed SCardCancelTransaction completely; Added neesting
	  counter; refs #8

2010-09-24 07:12  marc

	* [r84] src/pcsc.hxx:
	  hangs on mac, try to end transaction after cancel; refs #8

2010-09-23 15:20  marc

	* [r83] src/pcsc.hxx:
	  commit instead of cancel for win; closes #8

2010-09-17 08:59  marc

	* [r82] COPYING, INSTALL, configure.in, src/cryptoki.hxx,
	  test[DEL]:
	  now it compiles again; refs #7

2010-09-17 07:44  marc

	* [r81] src/cryptoki.hxx, src/pcsc.hxx:
	  bug in session managing, redesign: removed smart resources, don't
	  allow to copy sessions; refs #7

2010-08-27 13:10  marc

	* [r80] COPYING, INSTALL, doc/examples/makefile.am,
	  src/makefile.am, test/makefile.am:
	  compiles on mac; refs #6

2010-08-27 12:51  marc

	* [r79] src/makefile.am, src/openssl.hxx, src/versiontest.cxx[ADD]:
	  version checker and changes for openssl 1.0.0; refs #6

2010-08-27 12:28  marc

	* [r78] src/makefile.am:
	  wrong path on mac; refs #6

2010-08-27 11:15  marc

	* [r77] src/openssl.hxx:
	  first part: const or not const that is the question; refs #6

2010-08-27 09:43  marc

	* [r76] src/openssl.hxx:
	  first part: const or not const that is the question; refs #6

2010-08-26 14:06  marc

	* [r75] src/openssl.hxx:
	  compile problems on mac; refs #5

2010-08-26 13:36  marc

	* [r74] doc/examples/makefile.am:
	  better build flags, out of the box lin,mac,win; refs #5

2010-08-26 13:24  marc

	* [r73] doc/examples/makefile.am:
	  better build flags, out of the box lin,mac,win; refs #5

2010-08-26 13:19  marc

	* [r72] doc/examples/makefile.am:
	  better build flags, out of the box lin,mac,win; refs #5

2010-08-26 13:13  marc

	* [r71] doc/examples/makefile.am, src/pkcs11/pkcs11.h:
	  better build flags, out of the box lin,mac,win; refs #5

2010-08-26 12:24  marc

	* [r70] configure.in, doc/examples/makefile.am, src/cryptoki.hxx,
	  src/makefile.am:
	  better build flags, out of the box lin,mac,win; refs #5

2010-08-03 13:48  marc

	* [r69] configure.in, doc/examples/cryptoki-demo.cxx,
	  doc/examples/makefile.am, doc/examples/openssl-ssl-demo.cxx,
	  doc/examples/openssl-tcp-demo.cxx, doc/examples/pcsc-demo.cxx,
	  install-64-and-32-bit-linux.sh, src/cryptoki.hxx,
	  src/makefile.am, src/openssl.hxx, src/pcsc.hxx,
	  src/version.cxx[ADD]:
	  added version info, refs #4

2010-06-08 10:28  marc

	* [r68] doc/examples/makefile.am, test/makefile.am:
	  more dependencies on 64bit lucid, see #1

2010-06-01 13:38  marc

	* [r67] doc/examples/makefile.am, install-32-bit-lin-win.sh[CPY]:
	  32bit-build added, refs #1

2010-05-12 08:16  marc

	* [r66] makefile.am:
	  Back to chroot builds, see #1

2010-05-12 08:15  marc

	* [r65] debian/changelog.in:
	  Maintainer E-Mail changed, see #1

2010-05-12 08:08  marc

	* [r64] debian/changelog.in:
	  Maintainer E-Mail changed, see #1

2010-05-12 07:46  marc

	* [r63] debian/control:
	  Maintainer E-Mail changed, see #1

2010-04-26 06:43  marc

	* [r62] configure.in:
	  vesion increased, see #3

2010-04-16 11:49  marc

	* [r61] makefile.am:
	  build debian for all architectures, see #1

2010-04-15 14:27  marc

	* [r60] src/openssl.hxx:
	  closes #2

2010-04-15 13:16  marc

	* [r59] configure.in, debian/rules, src/libpcscxx.pc.in:
	  bugfixes for debian, see #1

2010-04-08 12:41  marc

	* [r58] configure.in, debian[ADD], debian/changelog.in[ADD],
	  debian/compat[ADD], debian/control[ADD], debian/copyright[ADD],
	  debian/dirs[ADD], debian/docs[ADD],
	  debian/libpcscxx-dev.dirs[ADD],
	  debian/libpcscxx-dev.install[ADD], debian/libpcscxx.dirs[ADD],
	  debian/libpcscxx.doc-base.EX[ADD], debian/libpcscxx.install[ADD],
	  debian/rules[ADD], debian/shlibs.local.ex[ADD],
	  debian/watch.ex[ADD], makefile.am, src/libpcscxx.pc.in[ADD],
	  src/makefile.am:
	  new target make deb to create debian package, refs #1

2010-03-03 15:37  marc

	* [r57] doc/examples/makefile.am,
	  doc/examples/openssl-ssl-demo.cxx[ADD],
	  doc/examples/openssl-tcp-demo.cxx[ADD], src/openssl.hxx:
	  TCP- and SSL-Connection Examples

2010-02-10 13:21  marc

	* [r56] install-64-and-32-bit-linux.sh, src/cryptoki.cxx,
	  src/cryptoki.hxx:
	  some details: user opensc-pkcs11.so by default; catch all
	  exceptions on load

2009-12-09 11:13  marc

	* [r55] install-64-and-32-bit-linux.sh, src/cryptoki.cxx,
	  src/cryptoki.hxx:
	  new method Init.reset() - try whether we can find newly added
	  slots

2009-11-24 12:10  marc

	* [r54] COPYING, INSTALL, src/cryptoki.hxx:
	  first successful encrypt

2009-11-17 15:56  marc

	* [r53] COPYING, INSTALL, src/cryptoki.cxx, src/cryptoki.hxx,
	  src/openssl.hxx:
	  compiled on mac

2009-11-02 14:44  marc

	* [r52] COPYING, INSTALL, src/openssl.hxx:
	  bin ich blöd oder was?

2009-10-26 12:40  marc

	* [r51] src/openssl.hxx:
	  pkcs7

2009-10-23 14:57  marc

	* [r50] src/cryptoki.cxx, src/cryptoki.hxx, src/makefile.am:
	  works for certimporter on win

2009-10-21 08:52  marc

	* [r49] configure.in, doc/examples/makefile.am,
	  install-64-and-32-bit-linux.sh[ADD], src/cryptoki.cxx,
	  src/cryptoki.hxx, src/makefile.am, src/pcsc.hxx,
	  test/makefile.am:
	  compiles for windoze

2009-10-14 13:31  marc

	* [r48] src/cryptaux.hxx, src/cryptoki.cxx, src/cryptoki.hxx,
	  src/openssl.hxx, src/pcsc.hxx:
	  now secure channel enabled

2009-10-07 07:22  marc

	* [r47] doc/examples/pcsc-demo.cxx, src/pcsc.hxx:
	  transmit now sets up message

2009-10-01 19:14  marc

	* [r46] src/cryptoki.cxx, src/cryptoki.hxx, src/openssl.hxx,
	  test/makefile.am, test/sharedpointer_test.cxx[ADD]:
	  create and delete with certificate and key

2009-09-29 07:24  marc

	* [r45] src/cryptoki.cxx, src/cryptoki.hxx, src/pcsc.hxx:
	  destroy object

2009-09-22 13:25  marc

	* [r44] src/cryptoki.cxx, src/cryptoki.hxx, src/openssl.hxx:
	  new creation attributes

2009-09-22 11:21  marc

	* [r43] src/cryptoki.cxx, src/cryptoki.hxx:
	  pass label on creation

2009-09-22 07:58  marc

	* [r42] src/makefile.am:
	  linkable again

2009-09-22 07:40  marc

	* [r41] doc/examples/makefile.am, src/makefile.am, src/openssl.hxx:
	  compilable again

2009-09-22 07:04  marc

	* [r40] src/cryptoki.cxx, src/openssl.hxx:
	  mor get methods in certificate

2009-09-21 14:52  marc

	* [r39] src/openssl.hxx:
	  new certificate attribute get methods

2009-09-21 07:43  marc

	* [r38] doc/examples/cryptoki-demo.cxx, src/cryptaux.hxx[ADD],
	  src/cryptoki.cxx, src/cryptoki.hxx, src/makefile.am,
	  src/openssl.hxx, src/pcsc.hxx:
	  auxiliaries are now in cryptaux.hxx; some get methods for
	  openssl::X509

2009-09-18 13:57  marc

	* [r37] src/openssl.hxx:
	  X509 subject to DER

2009-09-18 13:31  marc

	* [r36] src/openssl.hxx:
	  ssl connection first try

2009-09-18 11:41  marc

	* [r35] doc/makefile.am, src/cryptoki.hxx, src/openssl.hxx,
	  src/overview.doc[ADD], src/pcsc.hxx:
	  improved doxygen

2009-09-18 08:24  marc

	* [r34] src/openssl.hxx:
	  openssl fixed

2009-09-17 14:57  marc

	* [r33] src/makefile.am, src/openssl.hxx[ADD]:
	  now with openssl wrapper

2009-09-16 14:52  marc

	* [r32] src/cryptoki.cxx, src/cryptoki.hxx:
	  first try to create

2009-09-10 12:13  marc

	* [r31] src/cryptoki.hxx:
	  login

2009-09-09 16:14  marc

	* [r30] src/cryptoki.hxx:
	  ulong to string conversion

2009-09-09 12:12  marc

	* [r29] src/cryptoki.hxx:
	  mark hex with 0x

2009-09-09 06:59  marc

	* [r28] src/cryptoki.hxx:
	  more texts and no prefix in text

2009-09-08 14:45  marc

	* [r27] src/cryptoki.hxx:
	  texts changed

2009-09-03 07:46  marc

	* [r26] src/cryptoki.hxx:
	  get single attribute also with access operator

2009-09-02 13:57  marc

	* [r25] doc/examples/cryptoki-demo.cxx, src/cryptoki.hxx:
	  attributes read

2009-09-02 08:45  marc

	* [r24] doc/examples/cryptoki-demo.cxx, src/cryptoki.hxx:
	  read attributes - in test

2009-09-01 16:15  marc

	* [r23] doc/examples/cryptoki-demo.cxx, doc/examples/makefile.am,
	  src/cryptoki.hxx:
	  We can read objects :-)

2009-09-01 13:12  marc

	* [r22] src/cryptoki.hxx, src/makefile.am,
	  src/pkcs11/apiclient.h[ADD], src/pkcs11/cryptoki.h[DEL],
	  src/pkcs11/pkcs11.h, src/pkcs11/pkcs11f.h[DEL],
	  src/pkcs11/pkcs11t.h[DEL], src/pkcs11/pkcs11types.h[ADD]:
	  no more crash (on linux)

2009-09-01 10:01  marc

	* [r21] src/pcsc.hxx:
	  compiles on mac

2009-09-01 09:11  marc

	* [r20] src/cryptoki.cxx, src/cryptoki.hxx:
	  find objects

2009-08-31 14:53  marc

	* [r19] doc/examples/makefile.am, src/cryptoki.hxx,
	  src/makefile.am, src/pkcs11[ADD], src/pkcs11/cryptoki.h[ADD],
	  src/pkcs11/pkcs11.h[ADD], src/pkcs11/pkcs11f.h[ADD],
	  src/pkcs11/pkcs11t.h[ADD]:
	  own pkcs11 header from rsa

2009-08-31 13:59  marc

	* [r18] doc/examples/cryptoki-demo.cxx, src/cryptoki.hxx,
	  src/pcsc.hxx:
	  better error messages

2009-08-31 11:28  marc

	* [r17] doc/examples/cryptoki-demo.cxx, src/cryptoki.hxx:
	  attributes are on the way

2009-08-28 14:57  marc

	* [r16] doc/examples/cryptoki-demo.cxx, src/cryptoki.hxx:
	  even more

2009-08-28 06:56  marc

	* [r15] configure.in, doc/examples/cryptoki-demo.cpp[DEL],
	  doc/examples/cryptoki-demo.cxx[CPY],
	  doc/examples/makefile.am[ADD], doc/examples/pcsc-demo.cpp[DEL],
	  doc/examples/pcsc-demo.cxx[CPY], doc/makefile.am,
	  src/cryptoki.hxx, src/makefile.am:
	  many new but completely untested methods

2009-08-27 14:46  marc

	* [r14] doc/examples/cryptoki-demo.cpp[ADD],
	  doc/examples/pcsc-demo.cpp, src/cryptoki.cxx[ADD],
	  src/cryptoki.hxx[ADD], src/makefile.am:
	  first test with cryptoki

2009-08-25 14:05  marc

	* [r13] src/pcsc.hxx:
	  resolved problem with proprietary KOBIL windoze driver

2009-08-19 13:42  marc

	* [r12] src/pcsc.hxx:
	  corrections

2009-08-11 13:55  marc

	* [r11] src/pcsc.hxx:
	  same error to text for all OSes (had unknown error on Mac)

2009-07-24 11:13  marc

	* [r10] src/pcsc.hxx:
	  add also hex reader name (in case we get non printing chars)

2009-07-16 07:23  marc

	* [r9] doc/examples/pcsc-demo.cpp, src/pcsc.hxx:
	  Bug in SCardTransmit parameter

2009-07-14 11:48  marc

	* [r8] src/pcsc.hxx:
	  win: even more error details when unknown

2009-07-14 09:16  marc

	* [r7] src/pcsc.hxx:
	  all: pass context to check; win: even more error messages

2009-07-13 13:51  marc

	* [r6] src/pcsc.hxx:
	  error strings also for windoof

2009-07-10 10:02  marc

	* [r5] src/pcsc.hxx:
	  mac: other types

2009-07-09 12:28  marc

	* [r4] COPYING[ADD], INSTALL[ADD], doc/makefile.am,
	  src/makefile.am, src/pcsc.hxx:
	  compilable and usable

2009-06-17 12:30  marc

	* [r3] doc/examples[ADD], doc/examples/pcsc-demo.cpp[ADD],
	  src/pcsc.hxx[ADD]:
	  imported pcsc.hxx

2009-06-17 12:24  marc

	* [r2] AUTHORS[ADD], ChangeLog[ADD], NEWS[ADD], README[ADD],
	  bootstrap.sh[ADD], configure.in[ADD], doc[ADD],
	  doc/doxyfile.in[ADD], doc/makefile.am[ADD], makefile.am[ADD],
	  src[ADD], src/main.cxx[ADD], src/makefile.am[ADD], test[ADD],
	  test/makefile.am[ADD]:
	  new project structure

2009-06-17 11:53  marc

	* [r1] .[ADD]:
	  start

